using Gtk;
using Granite;

public class Jot : Gtk.Application {
    private Window main_window;
    private Box main_box;
    private ListBox notes_list;
    private TextView editor;
    private NoteManager note_manager;

    public static int main(string[] args) {
        var jot = new Jot();
        return jot.run(args);
    }

    public Jot() {
        Object(
            application_id: "app.hackclub.conzie.Jot",
            flags: ApplicationFlags.FLAGS_NONE
        );
    }

    protected override void activate() {
        // Init the notemanager (see notemanager.vala)
        note_manager = new NoteManager();
        note_manager.ensure_directory_exists();

        main_window = new ApplicationWindow(this) {
            title = "Jot",
            default_width = 800,
            default_height = 600
        };
        var header=new HeaderBar() {
            show_close_button = true,
            title = "Jot",
        };
        var new_button = new Button.with_label("New Note");
        new_button.clicked.connect(create_new_note);
        header.pack_start(new_button);

        var save_button = new Button.with_label("Save");
        save_button.click
    }
}